Subject: Re: [PATCH] added: Multi line support for ignore-paths configuration

From: Eric Wong <[email-masked]>
Date: Sun, 29 Mar 2020 23:24:04 +0000

Lukas Pupka-Lipinski <[email-masked]> wrote:
> Hi Eric,
> 
> thanks for your feedback.
> 
> I will include your general Feedback in the next Patch mail.
> 
> In Addition i think its not clear what i was trying to solve. I use the git
> svn extension for our company SVN. Unfortunately we have a lot of stuff in
> the SVN what I do not use and don’t want to checkout. So I started to use
> the ignore-paths option. But git only allows to have ca. 150 char in one
> config line. Which is not enough for me. So I started to extend the code to
> use also the next line. So that your expression can be bigger than 150 char,
> spread over several lines.

Thanks for the explanation.  In the future, please keep
[email-masked] and anybody else in the discussion in the
Cc: list (use reply-to-all in your mailer).

> I hope that make it clear.

OK, please do, thank you :)

> I will resend the second mail in few seconds
> 
> > That looks like it would munge the following:
> > 
> > 	[svn-remote "foo"]
> > 		ignore-paths = a
> > 		ignore-paths = b
> > 
> > into "a\nb\n"
> > 
> > And finally into a regexp:/ab/
> > 
> > ...Which doesn't seem correct, to me.
> 
> No this will end up into "ab" the \n and \r are removed at
> 
> +    $v  =~ s/[\x0A\x0D]//g if (defined $v);

Right, so do you agree your patch is broken in that case
and needs fixing?

Sorry, my mental abilities are dulled from the stress and
insomnia caused by the pandemic, so I have more trouble
understanding things than usual :<

> Am 25.03.2020 um 21:38 schrieb Eric Wong:
> > > 2.25.1.windows.1
> > I'm not sure how git-config or chomp() behaves on Windows systems
> > with CRLF line endings, though.
> > 
> > A possibility would be replacing chomp(@v) with:
> > 
> > 	s/\r?\n\z//s for @v;
> 
> Yes that has to be done. Its implemented in
> 
> +    $v  =~ s/[\x0A\x0D]//g if (defined $v);

Does that mean you'll send a v2 of the patch which uses

	s/\r?\n\z//s for @v;

?

Thanks in advance for clarifying.